Bug 240812

Summary: net-mgmt/icinga2: version 2.11.0 dies with SIGBUS on 11.2/i386
Product: Ports & Packages Reporter: Mathieu Arnold <mat>
Component: Individual Port(s)Assignee: Jochen Neumeister <joneum>
Status: In Progress ---    
Severity: Affects Only Me CC: dave, joneum, linus.sundqvist, lme, luciano, mail
Priority: --- Flags: bugzilla: maintainer-feedback? (lme)
Version: Latest   
Hardware: Any   
OS: Any   

Description Mathieu Arnold freebsd_committer 2019-09-25 11:53:09 UTC
After upgrading to 2.11.0, icinga2 dies with a SIGBUS on 11.2/i386.

I don't have many more details, it just dies without saying anything.  Running:

# truss -f icinga2 daemon -d
[...]
76616: gettimeofday({ 1569412076.124117 },0x0)   = 0 (0x0)
76614: close(16579)                              ERR#9 'Bad file descriptor'
76614: close(16580)                              ERR#9 'Bad file descriptor'
76614: close(16581)                              ERR#9 'Bad file descriptor'
76616: gettimeofday({ 1569412076.124401 },0x0)   = 0 (0x0)
76614: close(16582)                              ERR#9 'Bad file descriptor'
76616: gettimeofday({ 1569412076.124597 },0x0)   = 0 (0x0)
76614: close(16583)                              ERR#9 'Bad file descriptor'
76614: close(16584)                              ERR#9 'Bad file descriptor'
76616: SIGNAL 10 (SIGBUS) code=BUS_OBJERR trapno=9 addr=0x28bb9dd5
76614: close(16585)                              ERR#9 'Bad file descriptor'
76616: <new thread 101192>
76616: <thread 100556 exited>
76614: close(16586)                              ERR#9 'Bad file descriptor'
76616: <thread 100555 exited>
76614: close(16587)                              ERR#9 'Bad file descriptor'
76616: <thread 100558 exited>
76614: close(16588)                              ERR#9 'Bad file descriptor'
76616: <thread 100557 exited>
76614: close(16589)                              ERR#9 'Bad file descriptor'
76616: <thread 100559 exited>
76614: close(16590)                              ERR#9 'Bad file descriptor'
76616: <thread 100562 exited>
76614: close(16591)                              ERR#9 'Bad file descriptor'
76616: <thread 101148 exited>
76614: close(16592)                              ERR#9 'Bad file descriptor'
76614: close(16593)                              ERR#9 'Bad file descriptor'
76614: close(16594)                              ERR#9 'Bad file descriptor'
76616: <thread 101192 exited>
76614: close(16595)                              ERR#9 'Bad file descriptor'

does not give much insight.

I added the output of `ktrace -i icinga2 daemon -d` in freefall.freebsd.org:~mat/icinga2-ktrace.out.xz (it's a bit too big for here and contains somewhat sensitive informations.)
Comment 1 Lars Engels freebsd_committer 2019-09-25 12:28:54 UTC
There's similar upstream bug report: https://github.com/Icinga/icinga2/issues/7539
Comment 2 dave 2019-10-13 23:57:57 UTC
I have the same problem. Any chance of reverting the port back to 2.10.5 which worked before?
Comment 3 Luciano Mannucci 2019-10-14 16:36:03 UTC
I had the very same problem.
Simply compiling icinga2 from the Ports Collection did solve!
(I did portsnap fetch update and then make build && make deinstall && make install)

Hope this helps,

Luciano.
Comment 4 Luciano Mannucci 2019-10-23 14:31:34 UTC
(In reply to Luciano Mannucci from comment #3)
.. forgot to say that I use boostlibs 1.70, due to my attempt to build
Palemoon. Maybe this is the reason why it runs once built from ports.

Luciano.
Comment 5 itwrx 2019-11-07 16:46:58 UTC
does the issue persist in version 2.11.2?
Comment 6 Mathieu Arnold freebsd_committer 2019-11-12 15:39:14 UTC
Yes.
Comment 7 Lars Engels freebsd_committer 2020-04-29 20:38:53 UTC
Can you please test again with the recently committed version 2.11.3? This should be fixed now.
Comment 8 commit-hook freebsd_committer 2020-10-22 08:52:16 UTC
A commit references this bug:

Author: lme
Date: Thu Oct 22 08:51:15 UTC 2020
New revision: 552953
URL: https://svnweb.freebsd.org/changeset/ports/552953

Log:
  net-mgmt/icinga2: Update to 2.12.1 which fixes a long standing bug in distributed setups on FreeBSD + OpenBSD

  PR:		240812
  MFH:		2020Q4

Changes:
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/icinga2/distinfo
  head/net-mgmt/icinga2/pkg-plist
Comment 9 commit-hook freebsd_committer 2020-10-22 13:37:11 UTC
A commit references this bug:

Author: lme
Date: Thu Oct 22 13:36:10 UTC 2020
New revision: 552976
URL: https://svnweb.freebsd.org/changeset/ports/552976

Log:
  MFH: r552953

  net-mgmt/icinga2: Update to 2.12.1 which fixes a long standing bug in distributed setups on FreeBSD + OpenBSD

  PR:		240812

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/net-mgmt/icinga2/Makefile
  branches/2020Q4/net-mgmt/icinga2/distinfo
  branches/2020Q4/net-mgmt/icinga2/pkg-plist
Comment 10 Mathieu Arnold freebsd_committer 2020-10-25 15:23:02 UTC
Does not fix the bug I reported. (Or maybe it fixes it, but icinga still crashes on startup.)
Comment 11 Lars Engels freebsd_committer 2021-07-31 10:30:21 UTC
Over to new maintainer
Comment 12 Jochen Neumeister freebsd_committer 2021-09-16 21:51:16 UTC
does the problem still exist?
Comment 13 Luciano Mannucci 2021-09-17 11:31:45 UTC
(In reply to Jochen Neumeister from comment #12)
I think not many people are using i386 anymore for heavy task like
icinga2 monitoring. I've moved to amd64 and FreeBsd 12.2 where this
issue doesn't show up, at least in my installation.